package com.jz.dmp.modules.controller.bean;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.BeanUtils;

import com.jz.dmp.modules.model.DmpNavigationTree;

public class MyDmpNavigationTreeConverter {
	
	private static MyDmpNavigationTreeConverter instance;
	
	private MyDmpNavigationTreeConverter() {};
	
	public synchronized static MyDmpNavigationTreeConverter INSTANCE() {
		if (instance==null) {
			instance = new MyDmpNavigationTreeConverter();
		}
		
		return instance;
	}
	
	public DmpNavigationTreeDto domain2dto(DmpNavigationTree dmpNavigationTree) {
		DmpNavigationTreeDto dmpNavigationTreeDto = new DmpNavigationTreeDto();
		BeanUtils.copyProperties(dmpNavigationTree, dmpNavigationTreeDto);
		
		return dmpNavigationTreeDto;
	}
	
	public List<DmpNavigationTreeDto> domain2dto(List<DmpNavigationTree> dmpNavigationTrees) {
		List<DmpNavigationTreeDto> dmpNavigationTreeDtos = new ArrayList<DmpNavigationTreeDto>();
		dmpNavigationTrees.stream().forEach(x -> {
			dmpNavigationTreeDtos.add(domain2dto(x));
		});
		
		return dmpNavigationTreeDtos;
	}

}
