package com.jz.dmp.modules.controller.dataOperation.bean;


import com.jz.common.page.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @ClassName: SetSlaReq
 * @Description: set sla请求参数
 * @Author：Bellamy
 * @Date 2021/01/13
 * @Version 1.0
 */
@Data
@ApiModel(value = "set sla请求参数", description = "et sla请求参数")
public class SetSlaReq implements Serializable {

    private static final long serialVersionUID = 4274039208139198292L;
    @ApiModelProperty(value = "scheduleId")
    private String scheduleId;

    @ApiModelProperty(value = "邮件")
    private String slaEmails;

    @ApiModelProperty(value = "sla规则")
    private List<SetSlaRulesReq> slaRule;

    @ApiModelProperty(value = "projectId")
    @NotEmpty(message = "projectId不能为空!")
    @NotNull(message = "projectId不能为空!")
    private String projectId;


}
